
Rails.configuration.to_prepare do
  Hyrax::Workflow::ActionableObjects.class_eval do
    def each
      return enum_for(:each) unless block_given?
      ids_and_states = id_state_pairs
      return if ids_and_states.none?

      docs = Hyrax::SolrQueryService.new.with_ids(ids: ids_and_states.map(&:first)).solr_documents({rows: 5000})

      docs.each do |solr_doc|
        object = Hyrax::Workflow::ObjectInWorkflowDecorator.new(solr_doc)
        _, state = ids_and_states.find { |id, _| id == object.id }

        object.workflow_state = state

        yield object
      end
    end
  end
end