namespace :rdms do
  desc 'Rerun failed entries in last run of importer. usage: rdms:rerun_failed_entries_in_importer[importer_id]'
  task :"rerun_failed_entries_in_importer", [:importer_id] => :environment do |task, args|
    importer_id = args.importer_id
    abort("ERROR: missing importer_id: #{importer_id}") unless importer_id.present?
    importer_id = importer_id.to_s.strip
    abort("ERROR: importer_id is not an integer: #{importer_id}") unless importer_id.to_i.to_s == importer_id
    @importer = ::Bulkrax::Importer.find(importer_id)
    include BulkraxHelper
    rerun_failed_entries_in_last_run
  end
end